## GcrListSelector GcrListSelector — A selector widget to one or more certificates from a list. |

## Functions

GcrListSelector * | gcr_list_selector_new ()
GcrCollection * | gcr_list_selector_get_collection ()
GList * | gcr_list_selector_get_selected ()
void | gcr_list_selector_set_selected ()

## Properties

GcrCollection * | collection | Read / Write / Construct Only

## Types and Values

struct | GcrListSelector
struct | GcrListSelectorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── GcrListSelector

## Implemented Interfaces

GcrListSelector implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

The GcrListSelector can be used to select one or more certificates or keys. Live search is available for quick filtering.

## Functions

### gcr_list_selector_new ()

    GcrListSelector *
    gcr_list_selector_new (GcrCollection *collection);

Create a new GcrListSelector.

#### Parameters

collection | The collection that contains the objects to display |

#### Returns

a newly allocated selector, which should be released with `g_object_unref()`.

[transfer full]

### gcr_list_selector_get_collection ()

    GcrCollection *
    gcr_list_selector_get_collection (GcrListSelector *self);

Get the collection that this selector is displaying objects from.

#### Parameters

self | The selector |

#### Returns

The collection, owned by the selector.

[transfer none]

### gcr_list_selector_get_selected ()

    GList *
    gcr_list_selector_get_selected (GcrListSelector *self);

Get a list of selected objects.

#### Parameters

self | The selector |

#### Returns

the list of selected objects, to be released with `g_list_free()`.

[transfer container][element-type GObject.Object]

### gcr_list_selector_set_selected ()

    void
    gcr_list_selector_set_selected (GcrListSelector *self,
                                    GList *selected);

Select certain objects in the selector.

#### Parameters

self | The selector |
selected | the list of objects to select. | [element-type GObject.Object]

## Types and Values

### struct GcrListSelector

    struct GcrListSelector;

A list selector widget.

### struct GcrListSelectorClass

    struct GcrListSelectorClass {
    };

The class for GcrListSelector.

## Property Details

### The `“collection”` property

      “collection”               GcrCollection *

The collection which contains the objects to display in the selector.

Flags: Read / Write / Construct Only